com.holonplatform.jaxrs.spring.boot.resteasy

## Class ResteasyConfigurationProperties

- java.lang.Object
- - com.holonplatform.jaxrs.spring.boot.resteasy.ResteasyConfigurationProperties

-     @ConfigurationProperties(prefix="holon.resteasy")
      public class ResteasyConfigurationProperties
      extends Object

  Resteasy Spring Boot configuration properties.
  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ResteasyConfigurationProperties.Filter`
    `static class` | `ResteasyConfigurationProperties.Servlet`
    `static class` | `ResteasyConfigurationProperties.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResteasyConfigurationProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApplicationPath()`
    `ResteasyConfigurationProperties.Filter` | `getFilter()`
    `Map<String,String>` | `getInit()`
    `ResteasyConfigurationProperties.Servlet` | `getServlet()`
    `ResteasyConfigurationProperties.Type` | `getType()`
    `void` | `setApplicationPath(String applicationPath)`
    `void` | `setInit(Map<String,String> init)`
    `void` | `setType(ResteasyConfigurationProperties.Type type)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasyConfigurationProperties

          public ResteasyConfigurationProperties()

  - ### Method Detail

    - #### getApplicationPath

          public String getApplicationPath()

    - #### setApplicationPath

          public void setApplicationPath(String applicationPath)

    - #### getInit

          public Map<String,String> getInit()

    - #### setInit

          public void setInit(Map<String,String> init)

    - #### getFilter

          public ResteasyConfigurationProperties.Filter getFilter()

    - #### getServlet

          public ResteasyConfigurationProperties.Servlet getServlet()

    - #### getType

          public ResteasyConfigurationProperties.Type getType()

    - #### setType

          public void setType(ResteasyConfigurationProperties.Type type)

Copyright © 2019 The Holon Platform. All rights reserved.